# IO_Scribe.cpp File Reference

`#include <osgFX/Scribe>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for IO_Scribe.cpp:

## Functions

bool | Scribe_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | Scribe_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | Scribe_Proxy (new osgFX::Scribe,"osgFX::Scribe","Object Node Group osgFX::Effect osgFX::Scribe", Scribe_readLocalData, Scribe_writeLocalData)

## Function Documentation

bool Scribe_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool Scribe_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy Scribe_Proxy(new osgFX::Scribe,"osgFX::Scribe","Object Node Group osgFX::Effect osgFX::Scribe", Scribe_readLocalData, Scribe_writeLocalData)